using UnityEngine;
using System.Collections;

public class GameManager : MonoBehaviour
{
		static GameManager instance;
		
		public static GameManager Instance {
				get {
						if (instance == null) {
								instance = FindObjectOfType<GameManager> ();
								if (instance == null) {
										GameObject obj = new GameObject ();
										obj.hideFlags = HideFlags.HideAndDontSave;
										instance = obj.AddComponent<GameManager> ();
								}
						}
						return instance;
				}
		}

		void Awake ()
		{
				DontDestroyOnLoad (gameObject);
				Init ();
		}
	
		void Init ()
		{
				GameObject combatScene = new GameObject ();
				combatScene.AddComponent ("CombatSceneManager");

		}

		// Use this for initialization
		void Start ()
		{
	
		}
	
		// Update is called once per frame
		void Update ()
		{
	
		}


}

