using UnityEngine;
using System.Collections;

public class MonoBehaviourSingleton : MonoBehaviour
{
		static MonoBehaviourSingleton instance;
		
		public static MonoBehaviourSingleton Instance {
				get {
						if (instance == null) {
								instance = FindObjectOfType<MonoBehaviourSingleton> ();
								if (instance == null) {
										GameObject obj = new GameObject ();
										obj.hideFlags = HideFlags.HideAndDontSave;
										instance = obj.AddComponent<MonoBehaviourSingleton> ();
								}
						}
						return instance;
				}
		}
}


