﻿using UnityEngine;
using System.Collections;

public class Gun : MonoBehaviour {
	public float projectileRate = 0.05f;
	public GameObject projectile;
	Vector3 target;
	public bool isEnemyFire = true;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void AimAt(Vector3 target){
		Vector3 direction = (target - transform.parent.position).normalized;
		Quaternion rotation = Quaternion.LookRotation (target);
		//this.target = target;
		//rotation.x = 90;
		gameObject.transform.parent.transform.rotation = rotation;
		//gameObject.transform.parent.transform.rotation = rotation;
		//gameObject.transform.parent.transform.LookAt (Vector3.zero);
		Debug.Log (target);
		}

	public void FireSalvo (int projectilesPerSalvo)
	{
		for (int i=0; i<projectilesPerSalvo; i++) {
			Invoke ("FireProjectile", projectileRate * i);
		}
	}
	
	void FireProjectile ()
	{

		GameObject projectileClone = (GameObject)Instantiate (projectile, transform.position, transform.rotation);
		if (isEnemyFire) {
			projectileClone.tag = "ProjectileEnemy";
		} else {
			if(!StatsManager.useAmmo()){
				Destroy(projectileClone);
				return;
			}
		}
		projectileClone.transform.position = this.transform.position;
		Vector3 dir = transform.up;
		dir.Normalize ();
		gameObject.GetComponent<AudioSource>().Play();
		ProjectileController projectileController = projectileClone.transform.GetComponent<ProjectileController> ();
		projectileController.SetDirection(dir);
		projectileController.gameObject.transform.localRotation = Quaternion.identity;
	}
}
